Package org.apache.sysds.hops.codegen.cplan.java

# Class Binary

java.lang.Object
org.apache.sysds.hops.codegen.cplan.CodeTemplate
org.apache.sysds.hops.codegen.cplan.java.Binary

public class Binary extends CodeTemplate

## Constructor Summary

Constructors
Constructor
Description
`Binary()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)`

### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CodeTemplate

`getTemplate, getTemplate, getTemplate, getTemplate, getTemplate, getTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Binary

public Binary()

## Method Details

### getTemplate

public String getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)

Overrides:
  `getTemplate` in class `CodeTemplate`
  `sparseTemplate` - added to turn SparseRowVector intermediates on and off